Subject: Outstanding pay-out

From: From Fraud Intelligence Units United Kingdom Office <[email-masked]>
Date: Tue, 31 May 2016 06:24:32 +0900 (JST)

View the attached message and contact the paying bank for your payment asap,